package com.ys.product.ysmq.front.exceptions;

/**
 * <p>
 * 消息管道服务内部出现异常
 * </p>
 * 
 * @author jiangyuechao 2018年5月30日 下午6:16:22
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年5月30日
 * @modify by reason:{方法名}:{原因}
 */
public class YsmqServerOccuredException extends RuntimeException {

    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    public YsmqServerOccuredException() {
        super();
    }

    public YsmqServerOccuredException(String message, Throwable cause, boolean enableSuppression,
        boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public YsmqServerOccuredException(String message, Throwable cause) {
        super(message, cause);
    }

    public YsmqServerOccuredException(String message) {
        super(message);
    }

    public YsmqServerOccuredException(Throwable cause) {
        super(cause);
    }

}
