package com.ys.product.ysmq.front.strategy;

import java.util.List;

/**
 * <p>
 * 用户处理消息失败时的处理策略接口
 * </p>
 * 
 * @author jiangyuechao 2019年9月9日 下午7:29:20
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2019年9月9日
 * @modify by reason:{方法名}:{原因}
 */
public interface HandleMessageErrorStrategy {
    /**
     * <p>
     * </p>
     * 
     * @param data
     *            处理失败的消息
     */
    public void handleMessageError(List<Object> data);
}
