package com.ys.product.ysmq.front.enums;

public enum PreCommitEnum {
    CLOSE_PRECOMMIT("0", "关闭读提交模式"), OPEN_PRECOMMIT("1", "开启读提交模式");

    private String code;

    private String message;

    private PreCommitEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public static PreCommitEnum getVlalue(String code) {
        for (PreCommitEnum pEnum : PreCommitEnum.values()) {
            if (pEnum.code.equals(code))
                return pEnum;
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
