package com.ys.product.ysmq.front.exceptions;

/**
 * <p>
 * 创建consumer出现异常
 * </p>
 * 
 * @author jiangyuechao 2018年5月22日 下午8:07:03
 * @version V1.0
 * @modificationHistory=========================逻辑或功能性重大变更记录
 * @modify by user: {修改人} 2018年5月22日
 * @modify by reason:{方法名}:{原因}
 */
public class YsmqCreateConsumerException extends RuntimeException {

    private String code = "";

    /**
     * 序列化ID
     */
    private static final long serialVersionUID = 1L;

    public YsmqCreateConsumerException() {
        super();
    }

    public YsmqCreateConsumerException(String message, Throwable cause) {
        super(message, cause);
    }

    public YsmqCreateConsumerException(String code, String message) {
        super(message);
        this.code = code;
    }

    public YsmqCreateConsumerException(String message) {
        super(message);
    }

    public YsmqCreateConsumerException(Throwable cause) {
        super(cause);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

}
